> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/api-documentation/cashouts-api/countries-validations/african-countries/kenya.md).

# Kenya

## Required fields

| Field                  | Format                                                                                                                             | Description                                                                                |
| ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| `login`                | String                                                                                                                             | Cashouts login                                                                             |
| `pass`                 | String                                                                                                                             | Cashouts pass                                                                              |
| `external_id`          | String (max length: 100)                                                                                                           | Transaction's ID on your end                                                               |
| `document_id`          | See [document validations](/specifications/countries-specifications.md#documents-validations)                                      | Beneficiary's document ID                                                                  |
| `country`              | `KE`                                                                                                                               | See [country codes](/specifications/countries-specifications.md#countries-and-currencies)  |
| `currency`             | `KES` / `USD`                                                                                                                      | See [currency codes](/specifications/countries-specifications.md#countries-and-currencies) |
| `amount`               | Number with up to 2 decimals                                                                                                       | Cashout amount                                                                             |
| `bank_account`         | See [validations below](/api-documentation/cashouts-api/countries-validations/african-countries/kenya.md#bank-account-validations) | Beneficiary's bank account                                                                 |
| `bank_code`            | See [bank codes](/api-documentation/cashouts-api/countries-validations/african-countries/kenya.md#bank-codes)                      | Code specifying the beneficiary's bank                                                     |
| `beneficiary_name`     | String (max length: 100)                                                                                                           | Beneficiary's name                                                                         |
| `beneficiary_lastname` | String (max length: 100)                                                                                                           | Beneficiary's last name                                                                    |

## Bank Account Validations

| Bank name | Bank code | Format  | Example               |
| --------- | :-------: | ------- | --------------------- |
| All       |     -     | Numeric | 123456789, 9283749293 |

## Document Validations

[Click here](/specifications/countries-specifications.md#documents-validations) to check document types and validations.

## Example Request

```java
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "30000000001",
    "country": "KE",
    "amount": 100,
    "currency": "KES",
    "bank_account": "123456789",
    "bank_code": "1", 
    "document_id": "89237423",
    "beneficiary_name": "User",
    "beneficiary_lastname": "Test",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

## Bank Codes

| Bank                             | Code |
| -------------------------------- | ---- |
| Kenya Commercial Bank KCB        | 001  |
| Standard Chartered Bank Kenya    | 002  |
| Absa Bank Kenya                  | 003  |
| Bank Of Baroda                   | 006  |
| Commercial Bank of Africa CBA    | 007  |
| Central Bank of Kenya            | 009  |
| Prime Bank Kenya                 | 010  |
| National Bank of Kenya           | 012  |
| M Oriental Bank Kenya            | 014  |
| Citi Bank Kenya                  | 016  |
| Habib Bank AG Zurich Kenya       | 017  |
| Middle East Bank Kenya           | 018  |
| Bank of Africa Kenya             | 019  |
| Consolidated Bank of Kenya       | 023  |
| Credit Bank Kenya                | 025  |
| Chase Bank Kenya                 | 030  |
| CFC Stanbic Bank Kenya           | 031  |
| NIC Bank Kenya                   | 041  |
| Bank Of India Kenya              | 042  |
| Ecobank Kenya                    | 043  |
| Paramount Universal Bank Kenya   | 050  |
| Jamii Bora Bank                  | 051  |
| Guaranty Trust GT Bank Kenya     | 053  |
| Victoria Commercial Bank Kenya   | 054  |
| Guardian Bank Kenya              | 055  |
| Development Bank of Kenya        | 059  |
| Housing Finance Company of Kenya | 061  |
| Diamond Trust Bank DTB Kenya     | 063  |
| Equity Bank Kenya                | 068  |
| Family Bank Kenya                | 070  |
| Gulf African Bank Kenya          | 072  |
| First Community Bank Kenya       | 074  |

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pandablue.com/api-documentation/cashouts-api/countries-validations/african-countries/kenya.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
